Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
ffb0::/12
First address
ffb0::
Last address
ffbf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
ffb0:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
b.f.f.ip6.arpa
Split into smaller subnets/28

ffb0::/12 makes 65,536 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1ffb0::/28ffb0:f:ffff:ffff:ffff:ffff:ffff:ffff
2ffb0:10::/28ffb0:1f:ffff:ffff:ffff:ffff:ffff:ffff
3ffb0:20::/28ffb0:2f:ffff:ffff:ffff:ffff:ffff:ffff
4ffb0:30::/28ffb0:3f:ffff:ffff:ffff:ffff:ffff:ffff
5ffb0:40::/28ffb0:4f:ffff:ffff:ffff:ffff:ffff:ffff
6ffb0:50::/28ffb0:5f:ffff:ffff:ffff:ffff:ffff:ffff
7ffb0:60::/28ffb0:6f:ffff:ffff:ffff:ffff:ffff:ffff
8ffb0:70::/28ffb0:7f:ffff:ffff:ffff:ffff:ffff:ffff
9ffb0:80::/28ffb0:8f:ffff:ffff:ffff:ffff:ffff:ffff
10ffb0:90::/28ffb0:9f:ffff:ffff:ffff:ffff:ffff:ffff
11ffb0:a0::/28ffb0:af:ffff:ffff:ffff:ffff:ffff:ffff
12ffb0:b0::/28ffb0:bf:ffff:ffff:ffff:ffff:ffff:ffff
13ffb0:c0::/28ffb0:cf:ffff:ffff:ffff:ffff:ffff:ffff
14ffb0:d0::/28ffb0:df:ffff:ffff:ffff:ffff:ffff:ffff
15ffb0:e0::/28ffb0:ef:ffff:ffff:ffff:ffff:ffff:ffff
16ffb0:f0::/28ffb0:ff:ffff:ffff:ffff:ffff:ffff:ffff
17ffb0:100::/28ffb0:10f:ffff:ffff:ffff:ffff:ffff:ffff
18ffb0:110::/28ffb0:11f:ffff:ffff:ffff:ffff:ffff:ffff
19ffb0:120::/28ffb0:12f:ffff:ffff:ffff:ffff:ffff:ffff
20ffb0:130::/28ffb0:13f:ffff:ffff:ffff:ffff:ffff:ffff
21ffb0:140::/28ffb0:14f:ffff:ffff:ffff:ffff:ffff:ffff
22ffb0:150::/28ffb0:15f:ffff:ffff:ffff:ffff:ffff:ffff
23ffb0:160::/28ffb0:16f:ffff:ffff:ffff:ffff:ffff:ffff
24ffb0:170::/28ffb0:17f:ffff:ffff:ffff:ffff:ffff:ffff
25ffb0:180::/28ffb0:18f:ffff:ffff:ffff:ffff:ffff:ffff
26ffb0:190::/28ffb0:19f:ffff:ffff:ffff:ffff:ffff:ffff
27ffb0:1a0::/28ffb0:1af:ffff:ffff:ffff:ffff:ffff:ffff
28ffb0:1b0::/28ffb0:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29ffb0:1c0::/28ffb0:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30ffb0:1d0::/28ffb0:1df:ffff:ffff:ffff:ffff:ffff:ffff
31ffb0:1e0::/28ffb0:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32ffb0:1f0::/28ffb0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33ffb0:200::/28ffb0:20f:ffff:ffff:ffff:ffff:ffff:ffff
34ffb0:210::/28ffb0:21f:ffff:ffff:ffff:ffff:ffff:ffff
35ffb0:220::/28ffb0:22f:ffff:ffff:ffff:ffff:ffff:ffff
36ffb0:230::/28ffb0:23f:ffff:ffff:ffff:ffff:ffff:ffff
37ffb0:240::/28ffb0:24f:ffff:ffff:ffff:ffff:ffff:ffff
38ffb0:250::/28ffb0:25f:ffff:ffff:ffff:ffff:ffff:ffff
39ffb0:260::/28ffb0:26f:ffff:ffff:ffff:ffff:ffff:ffff
40ffb0:270::/28ffb0:27f:ffff:ffff:ffff:ffff:ffff:ffff
41ffb0:280::/28ffb0:28f:ffff:ffff:ffff:ffff:ffff:ffff
42ffb0:290::/28ffb0:29f:ffff:ffff:ffff:ffff:ffff:ffff
43ffb0:2a0::/28ffb0:2af:ffff:ffff:ffff:ffff:ffff:ffff
44ffb0:2b0::/28ffb0:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45ffb0:2c0::/28ffb0:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46ffb0:2d0::/28ffb0:2df:ffff:ffff:ffff:ffff:ffff:ffff
47ffb0:2e0::/28ffb0:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48ffb0:2f0::/28ffb0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49ffb0:300::/28ffb0:30f:ffff:ffff:ffff:ffff:ffff:ffff
50ffb0:310::/28ffb0:31f:ffff:ffff:ffff:ffff:ffff:ffff
51ffb0:320::/28ffb0:32f:ffff:ffff:ffff:ffff:ffff:ffff
52ffb0:330::/28ffb0:33f:ffff:ffff:ffff:ffff:ffff:ffff
53ffb0:340::/28ffb0:34f:ffff:ffff:ffff:ffff:ffff:ffff
54ffb0:350::/28ffb0:35f:ffff:ffff:ffff:ffff:ffff:ffff
55ffb0:360::/28ffb0:36f:ffff:ffff:ffff:ffff:ffff:ffff
56ffb0:370::/28ffb0:37f:ffff:ffff:ffff:ffff:ffff:ffff
57ffb0:380::/28ffb0:38f:ffff:ffff:ffff:ffff:ffff:ffff
58ffb0:390::/28ffb0:39f:ffff:ffff:ffff:ffff:ffff:ffff
59ffb0:3a0::/28ffb0:3af:ffff:ffff:ffff:ffff:ffff:ffff
60ffb0:3b0::/28ffb0:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61ffb0:3c0::/28ffb0:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62ffb0:3d0::/28ffb0:3df:ffff:ffff:ffff:ffff:ffff:ffff
63ffb0:3e0::/28ffb0:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64ffb0:3f0::/28ffb0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65ffb0:400::/28ffb0:40f:ffff:ffff:ffff:ffff:ffff:ffff
66ffb0:410::/28ffb0:41f:ffff:ffff:ffff:ffff:ffff:ffff
67ffb0:420::/28ffb0:42f:ffff:ffff:ffff:ffff:ffff:ffff
68ffb0:430::/28ffb0:43f:ffff:ffff:ffff:ffff:ffff:ffff
69ffb0:440::/28ffb0:44f:ffff:ffff:ffff:ffff:ffff:ffff
70ffb0:450::/28ffb0:45f:ffff:ffff:ffff:ffff:ffff:ffff
71ffb0:460::/28ffb0:46f:ffff:ffff:ffff:ffff:ffff:ffff
72ffb0:470::/28ffb0:47f:ffff:ffff:ffff:ffff:ffff:ffff
73ffb0:480::/28ffb0:48f:ffff:ffff:ffff:ffff:ffff:ffff
74ffb0:490::/28ffb0:49f:ffff:ffff:ffff:ffff:ffff:ffff
75ffb0:4a0::/28ffb0:4af:ffff:ffff:ffff:ffff:ffff:ffff
76ffb0:4b0::/28ffb0:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77ffb0:4c0::/28ffb0:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78ffb0:4d0::/28ffb0:4df:ffff:ffff:ffff:ffff:ffff:ffff
79ffb0:4e0::/28ffb0:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80ffb0:4f0::/28ffb0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81ffb0:500::/28ffb0:50f:ffff:ffff:ffff:ffff:ffff:ffff
82ffb0:510::/28ffb0:51f:ffff:ffff:ffff:ffff:ffff:ffff
83ffb0:520::/28ffb0:52f:ffff:ffff:ffff:ffff:ffff:ffff
84ffb0:530::/28ffb0:53f:ffff:ffff:ffff:ffff:ffff:ffff
85ffb0:540::/28ffb0:54f:ffff:ffff:ffff:ffff:ffff:ffff
86ffb0:550::/28ffb0:55f:ffff:ffff:ffff:ffff:ffff:ffff
87ffb0:560::/28ffb0:56f:ffff:ffff:ffff:ffff:ffff:ffff
88ffb0:570::/28ffb0:57f:ffff:ffff:ffff:ffff:ffff:ffff
89ffb0:580::/28ffb0:58f:ffff:ffff:ffff:ffff:ffff:ffff
90ffb0:590::/28ffb0:59f:ffff:ffff:ffff:ffff:ffff:ffff
91ffb0:5a0::/28ffb0:5af:ffff:ffff:ffff:ffff:ffff:ffff
92ffb0:5b0::/28ffb0:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93ffb0:5c0::/28ffb0:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94ffb0:5d0::/28ffb0:5df:ffff:ffff:ffff:ffff:ffff:ffff
95ffb0:5e0::/28ffb0:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96ffb0:5f0::/28ffb0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97ffb0:600::/28ffb0:60f:ffff:ffff:ffff:ffff:ffff:ffff
98ffb0:610::/28ffb0:61f:ffff:ffff:ffff:ffff:ffff:ffff
99ffb0:620::/28ffb0:62f:ffff:ffff:ffff:ffff:ffff:ffff
100ffb0:630::/28ffb0:63f:ffff:ffff:ffff:ffff:ffff:ffff
101ffb0:640::/28ffb0:64f:ffff:ffff:ffff:ffff:ffff:ffff
102ffb0:650::/28ffb0:65f:ffff:ffff:ffff:ffff:ffff:ffff
103ffb0:660::/28ffb0:66f:ffff:ffff:ffff:ffff:ffff:ffff
104ffb0:670::/28ffb0:67f:ffff:ffff:ffff:ffff:ffff:ffff
105ffb0:680::/28ffb0:68f:ffff:ffff:ffff:ffff:ffff:ffff
106ffb0:690::/28ffb0:69f:ffff:ffff:ffff:ffff:ffff:ffff
107ffb0:6a0::/28ffb0:6af:ffff:ffff:ffff:ffff:ffff:ffff
108ffb0:6b0::/28ffb0:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109ffb0:6c0::/28ffb0:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110ffb0:6d0::/28ffb0:6df:ffff:ffff:ffff:ffff:ffff:ffff
111ffb0:6e0::/28ffb0:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112ffb0:6f0::/28ffb0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113ffb0:700::/28ffb0:70f:ffff:ffff:ffff:ffff:ffff:ffff
114ffb0:710::/28ffb0:71f:ffff:ffff:ffff:ffff:ffff:ffff
115ffb0:720::/28ffb0:72f:ffff:ffff:ffff:ffff:ffff:ffff
116ffb0:730::/28ffb0:73f:ffff:ffff:ffff:ffff:ffff:ffff
117ffb0:740::/28ffb0:74f:ffff:ffff:ffff:ffff:ffff:ffff
118ffb0:750::/28ffb0:75f:ffff:ffff:ffff:ffff:ffff:ffff
119ffb0:760::/28ffb0:76f:ffff:ffff:ffff:ffff:ffff:ffff
120ffb0:770::/28ffb0:77f:ffff:ffff:ffff:ffff:ffff:ffff
121ffb0:780::/28ffb0:78f:ffff:ffff:ffff:ffff:ffff:ffff
122ffb0:790::/28ffb0:79f:ffff:ffff:ffff:ffff:ffff:ffff
123ffb0:7a0::/28ffb0:7af:ffff:ffff:ffff:ffff:ffff:ffff
124ffb0:7b0::/28ffb0:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125ffb0:7c0::/28ffb0:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126ffb0:7d0::/28ffb0:7df:ffff:ffff:ffff:ffff:ffff:ffff
127ffb0:7e0::/28ffb0:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128ffb0:7f0::/28ffb0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129ffb0:800::/28ffb0:80f:ffff:ffff:ffff:ffff:ffff:ffff
130ffb0:810::/28ffb0:81f:ffff:ffff:ffff:ffff:ffff:ffff
131ffb0:820::/28ffb0:82f:ffff:ffff:ffff:ffff:ffff:ffff
132ffb0:830::/28ffb0:83f:ffff:ffff:ffff:ffff:ffff:ffff
133ffb0:840::/28ffb0:84f:ffff:ffff:ffff:ffff:ffff:ffff
134ffb0:850::/28ffb0:85f:ffff:ffff:ffff:ffff:ffff:ffff
135ffb0:860::/28ffb0:86f:ffff:ffff:ffff:ffff:ffff:ffff
136ffb0:870::/28ffb0:87f:ffff:ffff:ffff:ffff:ffff:ffff
137ffb0:880::/28ffb0:88f:ffff:ffff:ffff:ffff:ffff:ffff
138ffb0:890::/28ffb0:89f:ffff:ffff:ffff:ffff:ffff:ffff
139ffb0:8a0::/28ffb0:8af:ffff:ffff:ffff:ffff:ffff:ffff
140ffb0:8b0::/28ffb0:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141ffb0:8c0::/28ffb0:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142ffb0:8d0::/28ffb0:8df:ffff:ffff:ffff:ffff:ffff:ffff
143ffb0:8e0::/28ffb0:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144ffb0:8f0::/28ffb0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145ffb0:900::/28ffb0:90f:ffff:ffff:ffff:ffff:ffff:ffff
146ffb0:910::/28ffb0:91f:ffff:ffff:ffff:ffff:ffff:ffff
147ffb0:920::/28ffb0:92f:ffff:ffff:ffff:ffff:ffff:ffff
148ffb0:930::/28ffb0:93f:ffff:ffff:ffff:ffff:ffff:ffff
149ffb0:940::/28ffb0:94f:ffff:ffff:ffff:ffff:ffff:ffff
150ffb0:950::/28ffb0:95f:ffff:ffff:ffff:ffff:ffff:ffff
151ffb0:960::/28ffb0:96f:ffff:ffff:ffff:ffff:ffff:ffff
152ffb0:970::/28ffb0:97f:ffff:ffff:ffff:ffff:ffff:ffff
153ffb0:980::/28ffb0:98f:ffff:ffff:ffff:ffff:ffff:ffff
154ffb0:990::/28ffb0:99f:ffff:ffff:ffff:ffff:ffff:ffff
155ffb0:9a0::/28ffb0:9af:ffff:ffff:ffff:ffff:ffff:ffff
156ffb0:9b0::/28ffb0:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157ffb0:9c0::/28ffb0:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158ffb0:9d0::/28ffb0:9df:ffff:ffff:ffff:ffff:ffff:ffff
159ffb0:9e0::/28ffb0:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160ffb0:9f0::/28ffb0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161ffb0:a00::/28ffb0:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162ffb0:a10::/28ffb0:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163ffb0:a20::/28ffb0:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164ffb0:a30::/28ffb0:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165ffb0:a40::/28ffb0:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166ffb0:a50::/28ffb0:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167ffb0:a60::/28ffb0:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168ffb0:a70::/28ffb0:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169ffb0:a80::/28ffb0:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170ffb0:a90::/28ffb0:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171ffb0:aa0::/28ffb0:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172ffb0:ab0::/28ffb0:abf:ffff:ffff:ffff:ffff:ffff:ffff
173ffb0:ac0::/28ffb0:acf:ffff:ffff:ffff:ffff:ffff:ffff
174ffb0:ad0::/28ffb0:adf:ffff:ffff:ffff:ffff:ffff:ffff
175ffb0:ae0::/28ffb0:aef:ffff:ffff:ffff:ffff:ffff:ffff
176ffb0:af0::/28ffb0:aff:ffff:ffff:ffff:ffff:ffff:ffff
177ffb0:b00::/28ffb0:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178ffb0:b10::/28ffb0:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179ffb0:b20::/28ffb0:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180ffb0:b30::/28ffb0:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181ffb0:b40::/28ffb0:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182ffb0:b50::/28ffb0:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183ffb0:b60::/28ffb0:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184ffb0:b70::/28ffb0:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185ffb0:b80::/28ffb0:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186ffb0:b90::/28ffb0:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187ffb0:ba0::/28ffb0:baf:ffff:ffff:ffff:ffff:ffff:ffff
188ffb0:bb0::/28ffb0:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189ffb0:bc0::/28ffb0:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190ffb0:bd0::/28ffb0:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191ffb0:be0::/28ffb0:bef:ffff:ffff:ffff:ffff:ffff:ffff
192ffb0:bf0::/28ffb0:bff:ffff:ffff:ffff:ffff:ffff:ffff
193ffb0:c00::/28ffb0:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194ffb0:c10::/28ffb0:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195ffb0:c20::/28ffb0:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196ffb0:c30::/28ffb0:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197ffb0:c40::/28ffb0:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198ffb0:c50::/28ffb0:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199ffb0:c60::/28ffb0:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200ffb0:c70::/28ffb0:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201ffb0:c80::/28ffb0:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202ffb0:c90::/28ffb0:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203ffb0:ca0::/28ffb0:caf:ffff:ffff:ffff:ffff:ffff:ffff
204ffb0:cb0::/28ffb0:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205ffb0:cc0::/28ffb0:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206ffb0:cd0::/28ffb0:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207ffb0:ce0::/28ffb0:cef:ffff:ffff:ffff:ffff:ffff:ffff
208ffb0:cf0::/28ffb0:cff:ffff:ffff:ffff:ffff:ffff:ffff
209ffb0:d00::/28ffb0:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210ffb0:d10::/28ffb0:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211ffb0:d20::/28ffb0:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212ffb0:d30::/28ffb0:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213ffb0:d40::/28ffb0:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214ffb0:d50::/28ffb0:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215ffb0:d60::/28ffb0:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216ffb0:d70::/28ffb0:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217ffb0:d80::/28ffb0:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218ffb0:d90::/28ffb0:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219ffb0:da0::/28ffb0:daf:ffff:ffff:ffff:ffff:ffff:ffff
220ffb0:db0::/28ffb0:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221ffb0:dc0::/28ffb0:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222ffb0:dd0::/28ffb0:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223ffb0:de0::/28ffb0:def:ffff:ffff:ffff:ffff:ffff:ffff
224ffb0:df0::/28ffb0:dff:ffff:ffff:ffff:ffff:ffff:ffff
225ffb0:e00::/28ffb0:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226ffb0:e10::/28ffb0:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227ffb0:e20::/28ffb0:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228ffb0:e30::/28ffb0:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229ffb0:e40::/28ffb0:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230ffb0:e50::/28ffb0:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231ffb0:e60::/28ffb0:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232ffb0:e70::/28ffb0:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233ffb0:e80::/28ffb0:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234ffb0:e90::/28ffb0:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235ffb0:ea0::/28ffb0:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236ffb0:eb0::/28ffb0:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237ffb0:ec0::/28ffb0:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238ffb0:ed0::/28ffb0:edf:ffff:ffff:ffff:ffff:ffff:ffff
239ffb0:ee0::/28ffb0:eef:ffff:ffff:ffff:ffff:ffff:ffff
240ffb0:ef0::/28ffb0:eff:ffff:ffff:ffff:ffff:ffff:ffff
241ffb0:f00::/28ffb0:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242ffb0:f10::/28ffb0:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243ffb0:f20::/28ffb0:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244ffb0:f30::/28ffb0:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245ffb0:f40::/28ffb0:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246ffb0:f50::/28ffb0:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247ffb0:f60::/28ffb0:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248ffb0:f70::/28ffb0:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249ffb0:f80::/28ffb0:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250ffb0:f90::/28ffb0:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251ffb0:fa0::/28ffb0:faf:ffff:ffff:ffff:ffff:ffff:ffff
252ffb0:fb0::/28ffb0:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253ffb0:fc0::/28ffb0:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254ffb0:fd0::/28ffb0:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255ffb0:fe0::/28ffb0:fef:ffff:ffff:ffff:ffff:ffff:ffff
256ffb0:ff0::/28ffb0:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses